## msort 8.53

=== RegressionTests/Makefile ===
test:
		@rm -f TestResults
		bash RunTests.sh

localetest:
		@rm -f LocaleTestResults
		bash RunLocaleTests.sh

clean:
		@rm *.result TestResults LocaleTestResults msort.log

=== debian/changelog ===
msort (8.53-3) unstable; urgency=medium

  * QA upload.
  * Orphan package
    Closes: #1110811
  * Secure URI in Homepage
  * Maintain package in Debian/ space on Salsa
  * d/rules is no sample
  * Add watch file
  * Standards-Version: 4.7.2 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Secure URI in copyright format (routine-update)
  * Remove trailing whitespace in debian/changelog (routine-update)
  * Remove trailing whitespace in debian/control (routine-update)
  * Trim trailing whitespace.
  * d/dirs: remove
  * Hardening flags
  * Fix clean target
    Closes: #1046093

 -- Andreas Tille <tille@debian.org>  Thu, 11 Sep 2025 09:19:36 +0200

msort (8.53-2.3) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Mon, 04 Jan 2021 15:10:51 +0100

msort (8.53-2.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Switch to the default Tcl/Tk since Tcl/Tk 8.5 is to be removed from
    Debian (closes: #893087).

 -- Sergei Golovan <sgolovan@debian.org>  Fri, 27 Apr 2018 11:55:34 +0300

msort (8.53-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix automake build error. Closes: #806473.
  * Build using dh-autoreconf.

 -- Matthias Klose <doko@debian.org>  Sun, 24 Apr 2016 18:45:39 +0200

msort (8.53-2) unstable; urgency=low

  * Uses -indep overrides to fix FTBFS on all archs (Closes: #731935)

 -- Bartosz Fenski <fenio@debian.org>  Wed, 11 Dec 2013 20:07:43 +0100

msort (8.53-1) unstable; urgency=low

  * The Akamai Technologies paid volunteer days release.
  * New upstream release.
  * ACK previous NMUs, thanks!
  * Switched to new source format.
  * Switched to new copyright format.
  * Moved patches to new quilt format and described them.
  * Bumped Standards-Version (no changes needed)
  * Has correct tcl/tk dependencies (Closes: #545135)
  * Doesn't segfault with certain input (Closes: #630485)

 -- Bartosz Fenski <fenio@debian.org>  Tue, 10 Dec 2013 16:39:44 +0100

msort (8.52-1.3) unstable; urgency=low

  * Non-maintainer upload.
  * Add -licuuc to LIBS to fix FTBFS with --no-copy-dt-needed-entries
    (closes: #555755). Thanks to Peter Fritzsche for the bug report.
  * Remove stray config.log from the source package.

 -- Jakub Wilk <jwilk@debian.org>  Mon, 29 Aug 2011 21:24:24 +0200

msort (8.52-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Cherry-pick upstream changes to fix compatibility with current
    libtre (Closes: #560575, #566860)

 -- Moritz Muehlenhoff <jmm@debian.org>  Sat, 30 Jan 2010 13:37:25 +0100

msort (8.52-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Switched to Tcl/Tk 8.5 to match changes in itcl3 and itk3 packages.

 -- Sergei Golovan <sgolovan@debian.org>  Wed, 02 Sep 2009 19:18:39 +0400

msort (8.52-1) unstable; urgency=low

  * New upstream version.

 -- Bartosz Fenski <fenio@debian.org>  Mon, 02 Feb 2009 22:39:02 +0100

msort (8.44-1) unstable; urgency=low

  * New upstream version.
  * Bumped Standards-Version to 3.7.3 (no changes needed).
  * Moved URL to homepage header.
  * Rewritten debian/copyright to make lintian happy.
  * Adapted menu entry to new policy.
  * Doesn't ignore clean target anymore.

 -- Bartosz Fenski <fenio@debian.org>  Wed, 23 Apr 2008 12:31:08 +0200

msort (8.42-1) unstable; urgency=low

  * New upstream version.
    - fixes sorting by date (Closes: #429759)
  * Depends on libuninum, libgmp and libicu.

 -- Bartosz Fenski <fenio@debian.org>  Tue, 30 Oct 2007 08:48:01 +0100

msort (8.29-1) unstable; urgency=low

  * New upstream release.

 -- Bartosz Fenski <fenio@debian.org>  Sun,  5 Nov 2006 14:38:20 +0100

msort (8.28-1) unstable; urgency=low

  * New upstream release.
    - fixes segfault on numeric sort (Closes: #383230)
    - removes superflous free() call (Closes: #383232)
  * Bumped Standards-Version to 3.7.2 (no changes needed).

 -- Bartosz Fenski <fenio@debian.org>  Thu,  7 Sep 2006 08:49:00 +0200

msort (8.26-1) unstable; urgency=low

  * New upstream version.

 -- Bartosz Fenski <fenio@debian.org>  Sat, 27 May 2006 15:14:22 +0200

msort (8.24-1) unstable;  urgency=low

  * New upstream version.

 -- Bartosz Fenski <fenio@debian.org>  Tue,  9 May 2006 20:14:00 +0200

msort (8.23.2-1) unstable;  urgency=low

  * New upstream version.
  * Description has been updated to show new features.
  * Bumped Standards-Version to 3.7.2 version (no changes needed).

 -- Bartosz Fenski <fenio@debian.org>  Sat,  6 May 2006 12:16:03 +0200

msort (8.20-1) unstable; urgency=low

  * New upstream release.

 -- Bartosz Fenski <fenio@debian.org>  Tue, 11 Apr 2006 13:31:36 +0200

msort (8.19-1) unstable; urgency=low

  * New upstream release.

 -- Bartosz Fenski <fenio@debian.org>  Tue, 21 Mar 2006 15:09:14 +0100

msort (8.18-1) unstable; urgency=low

  * New upstream release.

 -- Bartosz Fenski <fenio@debian.org>  Thu, 16 Mar 2006 13:44:40 +0100

msort (8.16-1) unstable; urgency=low

  * New upstream release.

 -- Bartosz Fenski <fenio@debian.org>  Wed, 22 Feb 2006 13:22:28 +0100

msort (8.15-1) unstable; urgency=low

  * New upstream release.

 -- Bartosz Fenski <fenio@debian.org>  Tue, 14 Feb 2006 16:35:17 +0100

msort (8.13-1) unstable; urgency=low

  * New upstream release.

 -- Bartosz Fenski <fenio@debian.org>  Tue,  7 Feb 2006 12:49:22 +0100

msort (8.12-1) unstable; urgency=low

  * New upstream release.

 -- Bartosz Fenski <fenio@debian.org>  Tue, 24 Jan 2006 11:57:13 +0100

msort (8.11-1) unstable; urgency=low

  * New upstream release.

 -- Bartosz Fenski <fenio@debian.org>  Wed, 18 Jan 2006 00:25:34 +0100

msort (8.10-1) unstable; urgency=low

  * New upstream release.

 -- Bartosz Fenski <fenio@debian.org>  Sun, 30 Oct 2005 12:09:15 +0100

msort (8.9-1) unstable; urgency=low

  * New upstream release.
  * Some fixes in rules file, since upstream changed paths.



=== debian/control ===
Source: msort
Section: utils
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper-compat (= 13), libtre-dev, libuninum-dev, libgmp3-dev, libicu-dev,
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/debian/msort
Vcs-Git: https://salsa.debian.org/debian/msort.git
Homepage: https://www.billposer.org/Software/msort.html

Package: msort
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: msort-gui
Description: utility for sorting records in complex ways
 msort is a program for sorting files in sophisticated ways. It was originally
 developed for alphabetizing dictionaries of "exotic" languages, for which it
 has been extensively used, but is useful for many other purposes. msort differs
 from typical sort utilities in providing greater flexibility in parsing the
 input into records and identifying key fields and greater control over the
 sort order. Its main distinctive features are:
 .
  o Msort can be used as a command-line program or via a graphical user
    interface that is helpful not only to those who find a complicated command
    line difficult to deal with but also to those unfamiliar with the finer
    points of sorting.
  o Records need not be single lines of text but may be delimited in a number
    of ways.
  o Key fields may be selected by position in the record (counting from the
    beginning or the end), by character ranges (e.g. the key consists of the
    fourth through eighth characters), or by matching a regular expression to
    a tag.
  o For each key an arbitrary sort order may be specified. Msort also
    understands locales.
  o For each key an effectively unlimited number of multigraphs (sequences
    of characters to be treated as a single unit for purposes of sorting,
    "collating elements" in Unicode parlance) of effectively unlimited length
    may be defined.
  o In addition to the usual lexicographic and numerical comparisons, msort
    supports hybrid lexicographic-numeric comparison (for things like filenames
    and section headings, so that, e.g., 2a will precede 10b), random
    comparison, and ordering by angle, date, time, month name, domain name,
    email address, ISO8601 date-time, and string length.
  o Numbers may be in just about any known number system, e.g. Chinese or
    Devanagari.
  o For each key a distinct set of characters may be excluded from
    consideration when sorting in any combination of initial, final, and
    medial position in the key field.
  o For each key a distinct set of regular expression substitutions may be
    defined. These provide the means to make names like McCarthy sort before
    MacCawley, as if McCarthy were spelled MacCarthy as well as to handle the
    rare cases in which a single character is treated for purposes of sorting
    as a sequence, such as German "eszet" sign, which is traditionally sorted
    as if it were ss.
  o Lexicographic keys may be reversed, allowing the construction of reverse
    dictionaries.
  o Any or all keys may be optional. For optional keys, the user may specify
    how records missing the key field should compare to records in which the
    key field is present.
  o A choice of sorting algorithms with different properties is provided.
 .
 msort understands UTF-8 Unicode. Unicode may be used anywhere that text is
 entered: in the text to be sorted, in sort order and exclusion definitions,
 as a field or record separator, or as a field tag. Full Unicode
 case-folding is available.

Package: msort-gui
Architecture: all
Depends: tk, iwidgets4, msort, ${misc:Depends}
Description: tcl/tk gui for msort utility
 msort-gui is a frontend for msort utility. It is helpful not only to those
 who find a complicated command line difficult to deal with but also to
 those unfamiliar with the finer points of sorting.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- --disable-utf8proc

override_dh_install-indep:
	dh_install
	mv debian/msort-gui/usr/bin/msg debian/msort-gui/usr/bin/msort-gui

=== debian/watch ===
version=4

https://billposer.org/Software/msort.html .*/Downloads/@PACKAGE@-@ANY_VERSION@\.tar\.gz
